=== debian/changelog ===
ros-crystal-gazebo-plugins (3.2.0-0bionic) bionic; urgency=high

  * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
  * [ros2] Fix diff_drive error message (#882 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/882>)
  * Fix Windows conflicting macros and missing usleep (#885 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/885>)
    * Fix conflicting Windows macros and missing usleep
    * fix spacing
    * fix spacing again
    * remove lint
  * gazebo_plugins: Port the gazebo_ros_p3d plugin (#845 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/845>)
    * Port the gazebo_ros_p3d plugin
    * Address most of the review feedback. A couple items remain
    * Remove the model_ member variable since it was just and alias for _parent
    * Use OnUpdate instead to get the UpdateInfo through the callback parameter
    * demo, test, and a bit more cleaning up
    * linters
  * [ros2] ENABLE_DISPLAY_TESTS, and make camera tests more robust (#854 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/854>)
  * Contributors: Jonathan Noyola, Michael Jeronimo, Romain Reignier, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Mar 2019 07:00:00 -0000

ros-crystal-gazebo-plugins (3.1.0-0bionic) bionic; urgency=high

  * [ros2] Camera and triggered camera (#827 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/827>)
    * move gazebo_ros_camera and some functionality from gazebo_ros_camera_utils, needs master branch of image_transport and message_filters, not functional, but compiling
    * port PutCameraData, needs common_interfaces PR #58 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/58>
    * move camera worlds, fix compilation, image can be seen on RViz
    * Port camera test: simplify world, use ServerFixture for better control and not to need launch - test is hanging on exit, not sure why
    * fix test hanging on exit
    * port camera16bit test and fix world copying on make
    * Start porting camera distortion tests: must port cam_info, 2nd test failing
    * sortout camera_name and frame_name
    * Port gazebo_ros_camera_triggered as part of gazebo_ros_camera, with test
    * Use camera_info_manager from branch ci_manager_port_louise, enable barrel distortion test - passes but segfaults at teardown, could be a problem with having 2 plugins side-by-side.
    * linters and comment out crashing test
    * Demo worlds, doxygen, more node tests
    * Use image_transport remapping
    * adapt to new image_transport pointer API
    * new API
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-gazebo-plugins (3.0.0-0bionic) bionic; urgency=high

  * Reliable QoS with depth of 1 (#819 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/819>)
  * Switch to use sensor_data qos setting for short queue sizes. (#815 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/815>)
    * Switch to use sensor_data qos setting for short queue sizes.
    * Use same QoS profile on test
  * [ros2] Port diff_drive plugin to ros2 (#806 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/806>)
    * copy gazebo_ros_diff_drive files from unported
    * Fix copy and paste error for exporting  gazebo_ros_joint_state_publisher
    * Add gazebo_ros_diff_drive to CMakeLists.txt
    * Basic structures updated
    includes updated
    include guards updated
    CMake rules added
    Not compiling yet
    * starting deboostifying
    updating lock
    header passing compile
    diff drive plugin compiling
    clear all references to callback queue
    * pimpl, remove joint state publisher
    * documentation, add TF publishers - commands and publishers work, but visualization on RViz is jerky, must check
    * pass linters
    * check that reset works now, rename params, add missing package
    * remap topics, add pub/sub test
    * sleep longer to see if it passes on Jenkins
  * Remove node_name from <ros> SDF tag (#804 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/804>)
    * Rename Node::Create to Node::Get
    * Node::Get without node name
    * Remove node_name support from SDF
    * wip get name from plugin name
    * Remove node name argument (will be inferred from sdf)
    * fix tests and implement static shared node
    * Adding test file
  * [ros2] Remove unnecessary IMU include (#805 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/805>)
    * removing redundant dependencies
    * Clear unnecessary include in imu_sensor header
  * [ros2] Split conversions into headers specific to message packages (#803 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/803>)
    * Tests depend on sensor_msgs
    * Move conversions to different headers to minimise deps brought in
    * Remove conversions namespace
    * Include updates
    * Update message package dependencies
    gazebo_ros doesn't need sensor_msgs or geometry_msgs anymore
    * Export msg pacakges so downstream packages depend
    * Include msg headers used directly
    * removing redundant dependencies
    * fix build and cpplint
  * working demo, notes and warnings about issues
  * Add more examples, need to debug some
  * tweaks to includes
  * Test correctness of ray_sensor intensity
  * Add ray_sensor demo
  * Verify correctness of gazebo_ros_ray_sensor output
  * Simplify ray_sensor using gazebo_ros conversions
  * Add gazebo_ros_ray_sensor
  * [ros2] Add noise to imu test (#801 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/801>)
    * Add noise to IMU test world
    * Remove bias
    * Relax test tolerance
  * [ros2] Port gazebo_ros_imu_sensor (#793 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/793>)
    * Move files to prepare for imu_sensor ROS2 port
    * Port gazebo_ros_imu_sensor
    * Address IMU Sensor PR comments
    * Remove empty <imu> tag

