=== debian/control ===
Source: ros-crystal-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-camera-info-manager, ros-crystal-cv-bridge, ros-crystal-gazebo-dev, ros-crystal-gazebo-ros, ros-crystal-geometry-msgs, ros-crystal-image-transport, ros-crystal-nav-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-tf2-geometry-msgs, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-crystal-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-camera-info-manager, ros-crystal-gazebo-dev, ros-crystal-gazebo-ros, ros-crystal-geometry-msgs, ros-crystal-image-transport, ros-crystal-nav-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-tf2-geometry-msgs, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Description: Robot-independent Gazebo plugins for sensors, motors and dynamic reconfigurable components.
